Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-50280

Monitoring Plugin: JEP-200 whitelist in the Jenkins Core works only for 1.68.0+

    Details

    • Similar Issues:

      Description

      During testing of JEP-200 before the release we discovered incompatibility with Monitoring plugin. Jesse Glick has fixed it on the core side by adding classes to the whitelist https://github.com/jenkinsci/jenkins/pull/3120. Then there was a fix applied in 1.71.0: https://github.com/jenkinsci/monitoring-plugin/pull/6

      Unfortunately the whitelist works only for new versions of the plugin. Versions before https://github.com/jenkinsci/monitoring-plugin/commit/5cb1c662058b89830e45f30b7207796fb2090f80 in 1.68.0 fail since they use a different package for model objects.

        Attachments

          Activity

          Hide
          oleg_nenashev Oleg Nenashev added a comment -

          Resolved in 1.71.0, I need this issue for the referencing placeholder

          Show
          oleg_nenashev Oleg Nenashev added a comment - Resolved in 1.71.0, I need this issue for the referencing placeholder

            People

            • Assignee:
              evernat evernat
              Reporter:
              oleg_nenashev Oleg Nenashev
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: